package com.lantone.qc.kernel.analysis;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.dbanaly.util.SpecialStorageUtil;
import com.lantone.qc.kernel.client.CRFServiceClient;
import com.lantone.qc.kernel.client.SimilarityServiceClient;
import com.lantone.qc.kernel.structure.ai.AIAnalyze;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.exception.AIException;
import com.lantone.qc.pub.exception.CatalogueException;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.vo.EzAnalysisVO;
import com.lantone.qc.pub.model.vo.QueryVo;
import com.lantone.qc.pub.res.EzAnalysisDTO;
import com.lantone.qc.trans.TransDispatch;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : QCAnalysis
 * @Description : 质控业务处理总入口
 * @Author : 楼辉荣
 * @Date: 2020-03-04 11:48
 */
@Slf4j
@Component
public class EZAnalysis {
    @Autowired
    CRFServiceClient crfServiceClient;
    @Autowired
    private SpecialStorageUtil specialStorageUtil;
    @Autowired
    SimilarityServiceClient similarityServiceClient;

    public List<EzAnalysisDTO> anlysis(EzAnalysisVO ezAnalysisVO) {
        List<EzAnalysisDTO> details = Lists.newArrayList();

        for(int i=0;i<100;i++){
            EzAnalysisDTO ezAnalysisDTO = new EzAnalysisDTO();
            ezAnalysisDTO.setCode("DE04.10.195.00");
            ezAnalysisDTO.setModelName("专科情况\n");
            ezAnalysisDTO.setModelValue("两锁骨上及腹股沟区淋巴结未及肿大，腹膨隆，可见陈旧性手术疤痕，未见胃肠型及蠕动波，全腹无压痛、反跳痛、肌紧张，全腹未触及明显异常包块，肝脾肋下未及，叩诊呈鼓音，移动性浊音（-），听诊肠鸣音约3次/分，音不亢。肛检：距肛7cm以内未及肿块，退出指套无染血。\n");
            details.add(ezAnalysisDTO);
        }
        return details;
    }
}